
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;Chkt.c,23 :: 		void interrupt() //  
;Chkt.c,25 :: 		ml++; tmr0=192; intcon=0x20; a1++;
	INCF       _ml+0, 1
	BTFSC      STATUS+0, 2
	INCF       _ml+1, 1
	MOVLW      192
	MOVWF      TMR0+0
	MOVLW      32
	MOVWF      INTCON+0
	INCF       _a1+0, 1
;Chkt.c,27 :: 		if (a1==2) {portb=0xff; portc=0x80; portb=d1;} // 1 
	MOVF       _a1+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt0
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      128
	MOVWF      PORTC+0
	MOVF       _d1+0, 0
	MOVWF      PORTB+0
L_interrupt0:
;Chkt.c,29 :: 		if (a1==4) {portb=0xff; portc=0x40; portb=d2;} // 2 
	MOVF       _a1+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt1
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      64
	MOVWF      PORTC+0
	MOVF       _d2+0, 0
	MOVWF      PORTB+0
L_interrupt1:
;Chkt.c,31 :: 		if (a1==6) {portb=0xff; portc=0x20; portb=d3;} // 3 
	MOVF       _a1+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt2
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      32
	MOVWF      PORTC+0
	MOVF       _d3+0, 0
	MOVWF      PORTB+0
L_interrupt2:
;Chkt.c,33 :: 		if (a1==8) {portb=0xff; portc=0x10; portb=d4;} // 4 
	MOVF       _a1+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt3
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      16
	MOVWF      PORTC+0
	MOVF       _d4+0, 0
	MOVWF      PORTB+0
L_interrupt3:
;Chkt.c,35 :: 		if (a1==10) {portb=0xff; portc=0x01; portb=d5; a1=0;} // 5 
	MOVF       _a1+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt4
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      1
	MOVWF      PORTC+0
	MOVF       _d5+0, 0
	MOVWF      PORTB+0
	CLRF       _a1+0
L_interrupt4:
;Chkt.c,36 :: 		}
L__interrupt169:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_temp:

;Chkt.c,38 :: 		void temp()
;Chkt.c,40 :: 		ow_reset(&porta,2);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chkt.c,41 :: 		ow_write(&porta,2,0x33); // 
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      51
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,42 :: 		dtd=ow_read(&porta,2);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      _dtd+0
;Chkt.c,44 :: 		ow_reset(&porta,2);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chkt.c,45 :: 		ow_write(&porta,2,0xcc);//  
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,46 :: 		ow_write(&porta,2,0x44);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      68
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,47 :: 		delay_us(120);                                      // 
	MOVLW      81
	MOVWF      R13+0
L_temp5:
	DECFSZ     R13+0, 1
	GOTO       L_temp5
	NOP
	NOP
;Chkt.c,48 :: 		ow_reset(&porta,2);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chkt.c,49 :: 		ow_write(&porta,2,0xcc);//    
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,50 :: 		ow_write(&porta,2,0xbe);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      190
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,52 :: 		t=ow_read(&porta,2);     //   
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      _t+0
	CLRF       _t+1
;Chkt.c,53 :: 		t=(ow_read(&porta,2)*256)+t;  //   
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      R1+1
	CLRF       R1+0
	MOVF       _t+0, 0
	ADDWF      R1+0, 0
	MOVWF      R3+0
	MOVF       R1+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _t+1, 0
	MOVWF      R3+1
	MOVF       R3+0, 0
	MOVWF      _t+0
	MOVF       R3+1, 0
	MOVWF      _t+1
;Chkt.c,54 :: 		td=t>>4; //      
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      _td+0
;Chkt.c,55 :: 		}
	RETURN
; end of _temp

_temp1:

;Chkt.c,58 :: 		void temp1()
;Chkt.c,60 :: 		ow_reset(&porta,0);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	CLRF       FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chkt.c,61 :: 		ow_write(&porta,0,0x33); // 
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      51
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,62 :: 		dtu=ow_read(&porta,0);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	CLRF       FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      _dtu+0
;Chkt.c,64 :: 		ow_reset(&porta,0);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	CLRF       FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chkt.c,65 :: 		ow_write(&porta,0,0xcc);//  
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,66 :: 		ow_write(&porta,0,0x44);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      68
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,67 :: 		delay_us(120);                            //  
	MOVLW      81
	MOVWF      R13+0
L_temp16:
	DECFSZ     R13+0, 1
	GOTO       L_temp16
	NOP
	NOP
;Chkt.c,68 :: 		ow_reset(&porta,0);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	CLRF       FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chkt.c,69 :: 		ow_write(&porta,0,0xcc);//  
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,70 :: 		ow_write(&porta,0,0xbe);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      190
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chkt.c,72 :: 		t1=ow_read(&porta,0);     //   
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	CLRF       FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      _t1+0
	CLRF       _t1+1
;Chkt.c,73 :: 		t1=(ow_read(&porta,0)*256) + t1;  //   
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	CLRF       FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      R4+1
	CLRF       R4+0
	MOVF       _t1+0, 0
	ADDWF      R4+0, 0
	MOVWF      R2+0
	MOVF       R4+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _t1+1, 0
	MOVWF      R2+1
	MOVF       R2+0, 0
	MOVWF      _t1+0
	MOVF       R2+1, 0
	MOVWF      _t1+1
;Chkt.c,74 :: 		if (t1 & 0x8000) {e7=1; t1=~t1+1;} else {e7=0;t1=t1;} //   
	BTFSS      R2+1, 7
	GOTO       L_temp17
	BSF        _e7+0, BitPos(_e7+0)
	COMF       _t1+0, 1
	COMF       _t1+1, 1
	INCF       _t1+0, 1
	BTFSC      STATUS+0, 2
	INCF       _t1+1, 1
	GOTO       L_temp18
L_temp17:
	BCF        _e7+0, BitPos(_e7+0)
L_temp18:
;Chkt.c,75 :: 		tu=t1>>4; //      
	MOVF       _t1+0, 0
	MOVWF      R0+0
	MOVF       _t1+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      _tu+0
;Chkt.c,76 :: 		}
	RETURN
; end of _temp1

_but:

;Chkt.c,79 :: 		void but()
;Chkt.c,81 :: 		if (k==0)
	MOVF       _k+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_but9
;Chkt.c,82 :: 		{if (button(&portc, 3, 1, 1)) e=1; //   
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_but10
	BSF        _e+0, BitPos(_e+0)
L_but10:
;Chkt.c,83 :: 		if (e && button(&portc, 3, 1, 0)) {porta.f5= ~porta.f5; mm1=0; e=0;}}
	BTFSS      _e+0, BitPos(_e+0)
	GOTO       L_but13
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_but13
L__but152:
	MOVLW      32
	XORWF      PORTA+0, 1
	CLRF       _mm1+0
	CLRF       _mm1+1
	BCF        _e+0, BitPos(_e+0)
L_but13:
L_but9:
;Chkt.c,85 :: 		if (k<6)
	MOVLW      6
	SUBWF      _k+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_but14
;Chkt.c,86 :: 		{if (button(&porta, 3, 1, 1)) e1=1;
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_but15
	BSF        _e1+0, BitPos(_e1+0)
L_but15:
;Chkt.c,87 :: 		if (e1 && button(&porta, 3, 1, 0)) //   
	BTFSS      _e1+0, BitPos(_e1+0)
	GOTO       L_but18
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_but18
L__but151:
;Chkt.c,88 :: 		{if (e4==0) {k=1; e1=0; e4=1;} else;{k++; if (k==5) {k=0;a=0;e4=0;} e1=0;}}}
	BTFSC      _e4+0, BitPos(_e4+0)
	GOTO       L_but19
	MOVLW      1
	MOVWF      _k+0
	BCF        _e1+0, BitPos(_e1+0)
	BSF        _e4+0, BitPos(_e4+0)
	GOTO       L_but20
L_but19:
L_but20:
	INCF       _k+0, 1
	MOVF       _k+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L_but21
	CLRF       _k+0
	CLRF       _a+0
	BCF        _e4+0, BitPos(_e4+0)
L_but21:
	BCF        _e1+0, BitPos(_e1+0)
L_but18:
L_but14:
;Chkt.c,90 :: 		if (k==0 || (k>5 && k<10))
	MOVF       _k+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__but149
	MOVF       _k+0, 0
	SUBLW      5
	BTFSC      STATUS+0, 0
	GOTO       L__but150
	MOVLW      10
	SUBWF      _k+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__but150
	GOTO       L__but149
L__but150:
	GOTO       L_but26
L__but149:
;Chkt.c,91 :: 		{if (button(&porta, 1, 1, 1)) e2=1;
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_but27
	BSF        _e2+0, BitPos(_e2+0)
L_but27:
;Chkt.c,92 :: 		if (e2 && button(&porta, 1, 1, 0)) //    
	BTFSS      _e2+0, BitPos(_e2+0)
	GOTO       L_but30
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_but30
L__but148:
;Chkt.c,93 :: 		{if (e5==0) {k=6; e2=0; e5=1;} else; {k++; if (k==9) {k=0;a=0;e5=0;} e2=0;}}}
	BTFSC      _e5+0, BitPos(_e5+0)
	GOTO       L_but31
	MOVLW      6
	MOVWF      _k+0
	BCF        _e2+0, BitPos(_e2+0)
	BSF        _e5+0, BitPos(_e5+0)
	GOTO       L_but32
L_but31:
L_but32:
	INCF       _k+0, 1
	MOVF       _k+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L_but33
	CLRF       _k+0
	CLRF       _a+0
	BCF        _e5+0, BitPos(_e5+0)
L_but33:
	BCF        _e2+0, BitPos(_e2+0)
L_but30:
L_but26:
;Chkt.c,95 :: 		if (k==0 || (k>9 && k<13))
	MOVF       _k+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__but146
	MOVF       _k+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L__but147
	MOVLW      13
	SUBWF      _k+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__but147
	GOTO       L__but146
L__but147:
	GOTO       L_but38
L__but146:
;Chkt.c,96 :: 		{if (button(&portc, 1, 1, 1)) e3=1;
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_but39
	BSF        _e3+0, BitPos(_e3+0)
L_but39:
;Chkt.c,97 :: 		if (e3 && button(&portc, 1, 1, 0)) //   
	BTFSS      _e3+0, BitPos(_e3+0)
	GOTO       L_but42
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_but42
L__but145:
;Chkt.c,98 :: 		{if (e6==0) {k=10; e3=0; e6=1;} else; {k++; if (k==12) {k=0;a=0;e6=0;} e3=0;}}}
	BTFSC      _e6+0, BitPos(_e6+0)
	GOTO       L_but43
	MOVLW      10
	MOVWF      _k+0
	BCF        _e3+0, BitPos(_e3+0)
	BSF        _e6+0, BitPos(_e6+0)
	GOTO       L_but44
L_but43:
L_but44:
	INCF       _k+0, 1
	MOVF       _k+0, 0
	XORLW      12
	BTFSS      STATUS+0, 2
	GOTO       L_but45
	CLRF       _k+0
	CLRF       _a+0
	BCF        _e6+0, BitPos(_e6+0)
L_but45:
	BCF        _e3+0, BitPos(_e3+0)
L_but42:
L_but38:
;Chkt.c,99 :: 		}
	RETURN
; end of _but

_ust:

;Chkt.c,102 :: 		void ust()
;Chkt.c,104 :: 		if (k==2) // 
	MOVF       _k+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_ust46
;Chkt.c,106 :: 		if (button(&portc, 3, 1, 0)) hh++;
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ust47
	INCF       _hh+0, 1
L_ust47:
;Chkt.c,107 :: 		d3=d4=d5=0xff;
	MOVLW      255
	MOVWF      _d5+0
	MOVLW      255
	MOVWF      _d4+0
	MOVLW      255
	MOVWF      _d3+0
;Chkt.c,108 :: 		j=hh%10;d2=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hh+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
;Chkt.c,109 :: 		if (hh>9) {j=(hh/10);d1=cif(j);} else d1=0xff;
	MOVF       _hh+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_ust48
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hh+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d1+0
	GOTO       L_ust49
L_ust48:
	MOVLW      255
	MOVWF      _d1+0
L_ust49:
;Chkt.c,110 :: 		}
L_ust46:
;Chkt.c,112 :: 		if (k==3) // 
	MOVF       _k+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_ust50
;Chkt.c,114 :: 		if (button(&portc, 3, 1, 0)) mm++;
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ust51
	INCF       _mm+0, 1
L_ust51:
;Chkt.c,115 :: 		j=mm%10;d5=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mm+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d5+0
;Chkt.c,116 :: 		j=(mm/10)%10;d4=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mm+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
;Chkt.c,117 :: 		d1=d2=d3=0xff;
	MOVLW      255
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
;Chkt.c,118 :: 		}
L_ust50:
;Chkt.c,120 :: 		if (k==4) // 
	MOVF       _k+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_ust52
;Chkt.c,122 :: 		if (button(&portc, 3, 1, 1)) e2=1;
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ust53
	BSF        _e2+0, BitPos(_e2+0)
L_ust53:
;Chkt.c,123 :: 		if (e2 && button(&portc, 3, 1, 0)) {ss=0;e2=0;}
	BTFSS      _e2+0, BitPos(_e2+0)
	GOTO       L_ust56
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ust56
L__ust153:
	CLRF       _ss+0
	BCF        _e2+0, BitPos(_e2+0)
L_ust56:
;Chkt.c,124 :: 		d3=d4=d5=0xff;
	MOVLW      255
	MOVWF      _d5+0
	MOVLW      255
	MOVWF      _d4+0
	MOVLW      255
	MOVWF      _d3+0
;Chkt.c,125 :: 		j=ss%10;d2=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _ss+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
;Chkt.c,126 :: 		j=(ss/10)%10;d1=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _ss+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d1+0
;Chkt.c,127 :: 		}
L_ust52:
;Chkt.c,128 :: 		}
	RETURN
; end of _ust

_pod:

;Chkt.c,130 :: 		void pod()
;Chkt.c,132 :: 		if (k==7) // 
	MOVF       _k+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L_pod57
;Chkt.c,134 :: 		if (button(&portc, 3, 1, 0)) ot++;
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_pod58
	INCF       _ot+0, 1
L_pod58:
;Chkt.c,135 :: 		if (ot>59) ot=0;
	MOVF       _ot+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_pod59
	CLRF       _ot+0
L_pod59:
;Chkt.c,136 :: 		d1=0x40; //O.
	MOVLW      64
	MOVWF      _d1+0
;Chkt.c,137 :: 		d2=0xbf; //-
	MOVLW      191
	MOVWF      _d2+0
;Chkt.c,138 :: 		if (ot<10) {j=ot%10;d3=cif(j);d4=0xff;}
	MOVLW      10
	SUBWF      _ot+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_pod60
	MOVLW      10
	MOVWF      R4+0
	MOVF       _ot+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d4+0
L_pod60:
;Chkt.c,139 :: 		if (ot>9 && ot<100) {j=ot%10;d4=cif(j);j=(ot/10)%10;d3=cif(j);}
	MOVF       _ot+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_pod63
	MOVLW      100
	SUBWF      _ot+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_pod63
L__pod155:
	MOVLW      10
	MOVWF      R4+0
	MOVF       _ot+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       _ot+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
L_pod63:
;Chkt.c,140 :: 		d5=0xff;
	MOVLW      255
	MOVWF      _d5+0
;Chkt.c,141 :: 		eeprom_write(1,ot);
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _ot+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;Chkt.c,142 :: 		}
L_pod57:
;Chkt.c,144 :: 		if (k==8) // 
	MOVF       _k+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L_pod64
;Chkt.c,146 :: 		if (button(&portc, 3, 1, 0)) sp++;
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_pod65
	INCF       _sp+0, 1
L_pod65:
;Chkt.c,147 :: 		if (sp>59) sp=0;
	MOVF       _sp+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_pod66
	CLRF       _sp+0
L_pod66:
;Chkt.c,148 :: 		d1=0x46; //C.
	MOVLW      70
	MOVWF      _d1+0
;Chkt.c,149 :: 		d2=0xbf; //-
	MOVLW      191
	MOVWF      _d2+0
;Chkt.c,150 :: 		if (sp<10) {j=sp%10;d3=cif(j);d4=0xff;}
	MOVLW      10
	SUBWF      _sp+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_pod67
	MOVLW      10
	MOVWF      R4+0
	MOVF       _sp+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d4+0
L_pod67:
;Chkt.c,151 :: 		if (sp>9 && sp<100) {j=sp%10;d4=cif(j);j=(sp/10)%10;d3=cif(j);}
	MOVF       _sp+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_pod70
	MOVLW      100
	SUBWF      _sp+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_pod70
L__pod154:
	MOVLW      10
	MOVWF      R4+0
	MOVF       _sp+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       _sp+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
L_pod70:
;Chkt.c,152 :: 		d5=0xff;
	MOVLW      255
	MOVWF      _d5+0
;Chkt.c,153 :: 		eeprom_write(2,sp);
	MOVLW      2
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _sp+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;Chkt.c,154 :: 		}
L_pod64:
;Chkt.c,156 :: 		}
	RETURN
; end of _pod

_tim:

;Chkt.c,158 :: 		void tim()
;Chkt.c,160 :: 		if (button(&porta, 3, 1, 0)) mm2=mm2+100;
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_tim71
	MOVLW      100
	ADDWF      _mm2+0, 1
	BTFSC      STATUS+0, 0
	INCF       _mm2+1, 1
L_tim71:
;Chkt.c,161 :: 		if (button(&porta, 1, 1, 0)) mm2=mm2+10;
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_tim72
	MOVLW      10
	ADDWF      _mm2+0, 1
	BTFSC      STATUS+0, 0
	INCF       _mm2+1, 1
L_tim72:
;Chkt.c,162 :: 		if (button(&portc, 3, 1, 0)) mm2=mm2+1;
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_tim73
	INCF       _mm2+0, 1
	BTFSC      STATUS+0, 2
	INCF       _mm2+1, 1
L_tim73:
;Chkt.c,163 :: 		if (mm2>900) mm2=0;
	MOVF       _mm2+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__tim170
	MOVF       _mm2+0, 0
	SUBLW      132
L__tim170:
	BTFSC      STATUS+0, 0
	GOTO       L_tim74
	CLRF       _mm2+0
	CLRF       _mm2+1
L_tim74:
;Chkt.c,164 :: 		d2=0xbf;//-
	MOVLW      191
	MOVWF      _d2+0
;Chkt.c,165 :: 		d1=0x09;//H.
	MOVLW      9
	MOVWF      _d1+0
;Chkt.c,166 :: 		if (mm2<10) {j=mm2%10;d3=cif(j); d4=d5=0xff;}
	MOVLW      0
	SUBWF      _mm2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__tim171
	MOVLW      10
	SUBWF      _mm2+0, 0
L__tim171:
	BTFSC      STATUS+0, 0
	GOTO       L_tim75
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm2+0, 0
	MOVWF      R0+0
	MOVF       _mm2+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d5+0
	MOVLW      255
	MOVWF      _d4+0
L_tim75:
;Chkt.c,167 :: 		if (mm2>9 && mm2<100) {j=mm2%10;d4=cif(j);j=(mm2/10)%10;d3=cif(j);d5=0xff;}
	MOVF       _mm2+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__tim172
	MOVF       _mm2+0, 0
	SUBLW      9
L__tim172:
	BTFSC      STATUS+0, 0
	GOTO       L_tim78
	MOVLW      0
	SUBWF      _mm2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__tim173
	MOVLW      100
	SUBWF      _mm2+0, 0
L__tim173:
	BTFSC      STATUS+0, 0
	GOTO       L_tim78
L__tim156:
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm2+0, 0
	MOVWF      R0+0
	MOVF       _mm2+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm2+0, 0
	MOVWF      R0+0
	MOVF       _mm2+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d5+0
L_tim78:
;Chkt.c,168 :: 		if (mm2>99) {j=mm2%10;d5=cif(j);j=(mm2/10)%10;d4=cif(j);j=(mm2/100)%10;d3=cif(j);}
	MOVF       _mm2+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__tim174
	MOVF       _mm2+0, 0
	SUBLW      99
L__tim174:
	BTFSC      STATUS+0, 0
	GOTO       L_tim79
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm2+0, 0
	MOVWF      R0+0
	MOVF       _mm2+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d5+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm2+0, 0
	MOVWF      R0+0
	MOVF       _mm2+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm2+0, 0
	MOVWF      R0+0
	MOVF       _mm2+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
L_tim79:
;Chkt.c,169 :: 		mm21=mm2>>8; //.  mm21=mm2/256;
	MOVF       _mm2+1, 0
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       R0+0, 0
	MOVWF      _mm21+0
;Chkt.c,170 :: 		mm22=mm2<<0; // mm22=mm2-256*mm21;
	MOVF       _mm2+0, 0
	MOVWF      _mm22+0
;Chkt.c,171 :: 		eeprom_write(3,mm21);
	MOVLW      3
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       R0+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;Chkt.c,172 :: 		eeprom_write(4,mm22);
	MOVLW      4
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _mm22+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;Chkt.c,173 :: 		}
	RETURN
; end of _tim

_main:

;Chkt.c,177 :: 		void main()
;Chkt.c,179 :: 		adcon1=6; //  
	MOVLW      6
	MOVWF      ADCON1+0
;Chkt.c,180 :: 		porta=0x00; trisa=0xdf;
	CLRF       PORTA+0
	MOVLW      223
	MOVWF      TRISA+0
;Chkt.c,181 :: 		portb=0xff; trisb=0x00;
	MOVLW      255
	MOVWF      PORTB+0
	CLRF       TRISB+0
;Chkt.c,182 :: 		portc=0xfb; trisc=0x0a;
	MOVLW      251
	MOVWF      PORTC+0
	MOVLW      10
	MOVWF      TRISC+0
;Chkt.c,183 :: 		option_reg=0x84; // 1/32
	MOVLW      132
	MOVWF      OPTION_REG+0
;Chkt.c,184 :: 		tmr0=192; //  64
	MOVLW      192
	MOVWF      TMR0+0
;Chkt.c,185 :: 		intcon=0xa0; ml=0;
	MOVLW      160
	MOVWF      INTCON+0
	CLRF       _ml+0
	CLRF       _ml+1
;Chkt.c,186 :: 		k=e4=e5=e6=mm1=mm=ss=hh=a=a1=j=0; d1=d2=d3=d4=d5=0xff; dtd=dtu=0;
	CLRF       _j+0
	CLRF       _a1+0
	CLRF       _a+0
	CLRF       _hh+0
	CLRF       _ss+0
	CLRF       _mm+0
	CLRF       _mm1+0
	CLRF       _mm1+1
	BCF        _e6+0, BitPos(_e6+0)
	BTFSC      _e6+0, BitPos(_e6+0)
	GOTO       L__main175
	BCF        _e5+0, BitPos(_e5+0)
	GOTO       L__main176
L__main175:
	BSF        _e5+0, BitPos(_e5+0)
L__main176:
	BTFSC      _e5+0, BitPos(_e5+0)
	GOTO       L__main177
	BCF        _e4+0, BitPos(_e4+0)
	GOTO       L__main178
L__main177:
	BSF        _e4+0, BitPos(_e4+0)
L__main178:
	MOVLW      0
	BTFSC      _e4+0, BitPos(_e4+0)
	MOVLW      1
	MOVWF      _k+0
	MOVLW      255
	MOVWF      _d5+0
	MOVLW      255
	MOVWF      _d4+0
	MOVLW      255
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
	CLRF       _dtu+0
	CLRF       _dtd+0
;Chkt.c,187 :: 		ot=eeprom_read(1); //     
	MOVLW      1
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _ot+0
;Chkt.c,188 :: 		sp=eeprom_read(2); //     
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _sp+0
;Chkt.c,189 :: 		mm21=eeprom_read(3);
	MOVLW      3
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _mm21+0
;Chkt.c,190 :: 		mm22=eeprom_read(4);
	MOVLW      4
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _mm22+0
;Chkt.c,191 :: 		mm2=mm21*256+mm22; //mm2=(mm21<<8)+mm22;    
	MOVF       _mm21+0, 0
	MOVWF      _mm2+1
	CLRF       _mm2+0
	MOVF       R0+0, 0
	ADDWF      _mm2+0, 1
	BTFSC      STATUS+0, 0
	INCF       _mm2+1, 1
;Chkt.c,193 :: 		do
L_main80:
;Chkt.c,195 :: 		if (ml==992)
	MOVF       _ml+1, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main179
	MOVLW      224
	XORWF      _ml+0, 0
L__main179:
	BTFSS      STATUS+0, 2
	GOTO       L_main83
;Chkt.c,197 :: 		ml=0;
	CLRF       _ml+0
	CLRF       _ml+1
;Chkt.c,198 :: 		a++; //    
	INCF       _a+0, 1
;Chkt.c,199 :: 		ss++; // 
	INCF       _ss+0, 1
;Chkt.c,201 :: 		if ((hh==0 && mm==0) || (hh==6 && mm==0) || (hh==12 && mm==0) || (hh==18 && mm==0))
	MOVF       _hh+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main168
	MOVF       _mm+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main168
	GOTO       L__main164
L__main168:
	MOVF       _hh+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main167
	MOVF       _mm+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main167
	GOTO       L__main164
L__main167:
	MOVF       _hh+0, 0
	XORLW      12
	BTFSS      STATUS+0, 2
	GOTO       L__main166
	MOVF       _mm+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main166
	GOTO       L__main164
L__main166:
	MOVF       _hh+0, 0
	XORLW      18
	BTFSS      STATUS+0, 2
	GOTO       L__main165
	MOVF       _mm+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main165
	GOTO       L__main164
L__main165:
	GOTO       L_main94
L__main164:
;Chkt.c,202 :: 		{if (ss>59-ot+sp) {mm1++; mm++; ss=0;}}
	MOVF       _ot+0, 0
	SUBLW      59
	MOVWF      R0+0
	CLRF       R0+1
	BTFSS      STATUS+0, 0
	DECF       R0+1, 1
	MOVF       _sp+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R2+1
	MOVLW      128
	XORWF      R2+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main180
	MOVF       _ss+0, 0
	SUBWF      R2+0, 0
L__main180:
	BTFSC      STATUS+0, 0
	GOTO       L_main95
	INCF       _mm1+0, 1
	BTFSC      STATUS+0, 2
	INCF       _mm1+1, 1
	INCF       _mm+0, 1
	CLRF       _ss+0
L_main95:
	GOTO       L_main96
L_main94:
;Chkt.c,204 :: 		{if (ss>59) {mm1++; mm++; ss=0;}} //ss-
	MOVF       _ss+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_main97
	INCF       _mm1+0, 1
	BTFSC      STATUS+0, 2
	INCF       _mm1+1, 1
	INCF       _mm+0, 1
	CLRF       _ss+0
L_main97:
L_main96:
;Chkt.c,205 :: 		if (mm>59) {hh++; mm=0;} //mm-
	MOVF       _mm+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_main98
	INCF       _hh+0, 1
	CLRF       _mm+0
L_main98:
;Chkt.c,206 :: 		if (hh>23) hh=0;//hh-
	MOVF       _hh+0, 0
	SUBLW      23
	BTFSC      STATUS+0, 0
	GOTO       L_main99
	CLRF       _hh+0
L_main99:
;Chkt.c,208 :: 		but();
	CALL       _but+0
;Chkt.c,210 :: 		if (k==0) //  
	MOVF       _k+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main100
;Chkt.c,212 :: 		if (a<11) {j=mm%10;d5=cif(j); j=(mm/10)%10;d4=cif(j); d3=0xbf;      // 
	MOVLW      11
	SUBWF      _a+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main101
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mm+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d5+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mm+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
	MOVLW      191
	MOVWF      _d3+0
;Chkt.c,213 :: 		j=hh%10;d2=cif(j); if (hh>9) {j=(hh/10);d1=cif(j);} else d1=0xff;}
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hh+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
	MOVF       _hh+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_main102
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hh+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d1+0
	GOTO       L_main103
L_main102:
	MOVLW      255
	MOVWF      _d1+0
L_main103:
L_main101:
;Chkt.c,215 :: 		if (a>10 && a<16) //  
	MOVF       _a+0, 0
	SUBLW      10
	BTFSC      STATUS+0, 0
	GOTO       L_main106
	MOVLW      16
	SUBWF      _a+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main106
L__main163:
;Chkt.c,217 :: 		temp();
	CALL       _temp+0
;Chkt.c,218 :: 		if (dtd==0x28)
	MOVF       _dtd+0, 0
	XORLW      40
	BTFSS      STATUS+0, 2
	GOTO       L_main107
;Chkt.c,220 :: 		if (td>9 && td<41) e8=0; else e8=1;
	MOVF       _td+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_main110
	MOVLW      41
	SUBWF      _td+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main110
L__main162:
	BCF        _e8+0, BitPos(_e8+0)
	GOTO       L_main111
L_main110:
	BSF        _e8+0, BitPos(_e8+0)
L_main111:
;Chkt.c,221 :: 		d5=0xc6;//C
	MOVLW      198
	MOVWF      _d5+0
;Chkt.c,222 :: 		d4=0x9c;// 
	MOVLW      156
	MOVWF      _d4+0
;Chkt.c,223 :: 		if (e8==0)
	BTFSC      _e8+0, BitPos(_e8+0)
	GOTO       L_main112
;Chkt.c,224 :: 		{j=td%10;d3=cif(j); j=(td/10)%10;d2=cif(j);}
	MOVLW      10
	MOVWF      R4+0
	MOVF       _td+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       _td+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
	GOTO       L_main113
L_main112:
;Chkt.c,226 :: 		{d3=0xbf;d2=0xbf;} d1=0xff;}
	MOVLW      191
	MOVWF      _d3+0
	MOVLW      191
	MOVWF      _d2+0
L_main113:
	MOVLW      255
	MOVWF      _d1+0
	GOTO       L_main114
L_main107:
;Chkt.c,228 :: 		{d5=0xc6;d4=0x9c;d3=0xbf;d2=0xbf;d1=0xff;}
	MOVLW      198
	MOVWF      _d5+0
	MOVLW      156
	MOVWF      _d4+0
	MOVLW      191
	MOVWF      _d3+0
	MOVLW      191
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
L_main114:
;Chkt.c,229 :: 		}
L_main106:
;Chkt.c,231 :: 		if (a>15 && a<20) //   
	MOVF       _a+0, 0
	SUBLW      15
	BTFSC      STATUS+0, 0
	GOTO       L_main117
	MOVLW      20
	SUBWF      _a+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main117
L__main161:
;Chkt.c,233 :: 		temp1();
	CALL       _temp1+0
;Chkt.c,234 :: 		if (dtu==0x28)
	MOVF       _dtu+0, 0
	XORLW      40
	BTFSS      STATUS+0, 2
	GOTO       L_main118
;Chkt.c,236 :: 		if (tu>40) e9=1; else e9=0;
	MOVF       _tu+0, 0
	SUBLW      40
	BTFSC      STATUS+0, 0
	GOTO       L_main119
	BSF        _e9+0, BitPos(_e9+0)
	GOTO       L_main120
L_main119:
	BCF        _e9+0, BitPos(_e9+0)
L_main120:
;Chkt.c,237 :: 		d5=0x46;//C.
	MOVLW      70
	MOVWF      _d5+0
;Chkt.c,238 :: 		d4=0x9c;
	MOVLW      156
	MOVWF      _d4+0
;Chkt.c,239 :: 		if (e9==0)
	BTFSC      _e9+0, BitPos(_e9+0)
	GOTO       L_main121
;Chkt.c,240 :: 		{j=tu%10;d3=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _tu+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
;Chkt.c,241 :: 		if (tu>9) {j=(tu/10)%10;d2=cif(j); if (e7==0) d1=0xff; else d1=0xbf;}
	MOVF       _tu+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_main122
	MOVLW      10
	MOVWF      R4+0
	MOVF       _tu+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
	BTFSC      _e7+0, BitPos(_e7+0)
	GOTO       L_main123
	MOVLW      255
	MOVWF      _d1+0
	GOTO       L_main124
L_main123:
	MOVLW      191
	MOVWF      _d1+0
L_main124:
L_main122:
;Chkt.c,243 :: 		if (tu>0 && tu<10) {d1=0xff; if (e7==0) d2=0xff; else d2=0xbf;}
	MOVF       _tu+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main127
	MOVLW      10
	SUBWF      _tu+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main127
L__main160:
	MOVLW      255
	MOVWF      _d1+0
	BTFSC      _e7+0, BitPos(_e7+0)
	GOTO       L_main128
	MOVLW      255
	MOVWF      _d2+0
	GOTO       L_main129
L_main128:
	MOVLW      191
	MOVWF      _d2+0
L_main129:
L_main127:
;Chkt.c,245 :: 		if (tu==0) d1=d2=0xff;} else {d3=0xbf; d2=0xbf; d1=0xff;}}
	MOVF       _tu+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main130
	MOVLW      255
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
L_main130:
	GOTO       L_main131
L_main121:
	MOVLW      191
	MOVWF      _d3+0
	MOVLW      191
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
L_main131:
	GOTO       L_main132
L_main118:
;Chkt.c,247 :: 		{d5=0x46;d4=0x9c;d3=0xbf;d2=0xbf;d1=0xff;}
	MOVLW      70
	MOVWF      _d5+0
	MOVLW      156
	MOVWF      _d4+0
	MOVLW      191
	MOVWF      _d3+0
	MOVLW      191
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
L_main132:
;Chkt.c,248 :: 		}
L_main117:
;Chkt.c,250 :: 		if (a==20) {a=0; ow_reset(&porta,0);}// BK2,     BK1
	MOVF       _a+0, 0
	XORLW      20
	BTFSS      STATUS+0, 2
	GOTO       L_main133
	CLRF       _a+0
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	CLRF       FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
L_main133:
;Chkt.c,251 :: 		}
L_main100:
;Chkt.c,253 :: 		if (k>1 && k<5) ust();  // 
	MOVF       _k+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L_main136
	MOVLW      5
	SUBWF      _k+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main136
L__main159:
	CALL       _ust+0
L_main136:
;Chkt.c,255 :: 		if (k==7 || k==8) pod(); //  
	MOVF       _k+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L__main158
	MOVF       _k+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__main158
	GOTO       L_main139
L__main158:
	CALL       _pod+0
L_main139:
;Chkt.c,257 :: 		if (k==11) tim();       // 
	MOVF       _k+0, 0
	XORLW      11
	BTFSS      STATUS+0, 2
	GOTO       L_main140
	CALL       _tim+0
L_main140:
;Chkt.c,259 :: 		if (k!=4) {if (mm2==mm1 && ss==0) porta.f5=0;} // 
	MOVF       _k+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_main141
	MOVF       _mm2+1, 0
	XORWF      _mm1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main181
	MOVF       _mm1+0, 0
	XORWF      _mm2+0, 0
L__main181:
	BTFSS      STATUS+0, 2
	GOTO       L_main144
	MOVF       _ss+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main144
L__main157:
	BCF        PORTA+0, 5
L_main144:
L_main141:
;Chkt.c,260 :: 		}
L_main83:
;Chkt.c,261 :: 		}while(1);
	GOTO       L_main80
;Chkt.c,262 :: 		}
	GOTO       $+0
; end of _main
